package de.telefonbuch.model;

import org.jetbrains.annotations.NotNull;

import java.rmi.Remote;
import java.rmi.RemoteException;

public interface IServer extends Remote {

	void methodenaufruf() throws RemoteException;
	String methodeMitRueckgabe() throws RemoteException;
	void methodeMitParameter(String text) throws RemoteException;
	boolean interaktion(String text) throws RemoteException;

	void addKontakt(Kontakt kontakt) throws RemoteException;
	void deleteKontakt(String telefon) throws RemoteException;
	Kontakt getKontakt(String telefon) throws RemoteException;
	String[] getNavi(String telefon) throws RemoteException;
	int countKontakte() throws RemoteException;

}
